# Class GSCaseMouseListener

java.lang.Object
GSCaseMouseListener

All Implemented Interfaces:
  `MouseListener`, `EventListener`

public class GSCaseMouseListener extends Object implements MouseListener
Classe GSCaseMouseListener implémente l'interface MouseListener pour gérer les événements de la souris sur un GSCase.

## Constructor Summary

Constructors
Constructor
Description
`GSCaseMouseListener(GSCase casePanel)`
Constructeur prenant un GSCase en paramètre.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
Gère l'événement de clic de la souris.
`void`
`mouseEntered(MouseEvent e)`
Gère l'événement de survol de la souris.
`void`
`mouseExited(MouseEvent e)`
Gère l'événement de sortie de la souris.
`void`
`mousePressed(MouseEvent e)`
Gère l'événement de pression de la souris.
`void`
`mouseReleased(MouseEvent e)`
Gère l'événement de relâchement de la souris.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSCaseMouseListener

public GSCaseMouseListener(GSCase casePanel)
Constructeur prenant un GSCase en paramètre.

Parameters:
  `casePanel` - Le GSCase à associer à cet écouteur.

## Method Details

### mouseClicked

public void mouseClicked(MouseEvent e)
Gère l'événement de clic de la souris. Active le GSCase et effectue des actions associées.

Specified by:
  `mouseClicked` in interface `MouseListener`
Parameters:
  `e` - L'événement MouseEvent associé au clic.

### mousePressed

public void mousePressed(MouseEvent e)
Gère l'événement de pression de la souris. (Non utilisé dans cette implémentation)

Specified by:
  `mousePressed` in interface `MouseListener`
Parameters:
  `e` - L'événement MouseEvent associé à la pression.

### mouseReleased

public void mouseReleased(MouseEvent e)
Gère l'événement de relâchement de la souris. (Non utilisé dans cette implémentation)

Specified by:
  `mouseReleased` in interface `MouseListener`
Parameters:
  `e` - L'événement MouseEvent associé au relâchement.

### mouseEntered

public void mouseEntered(MouseEvent e)
Gère l'événement de survol de la souris. Change la couleur du GSCase lors du survol.

Specified by:
  `mouseEntered` in interface `MouseListener`
Parameters:
  `e` - L'événement MouseEvent associé au survol.

### mouseExited

public void mouseExited(MouseEvent e)
Gère l'événement de sortie de la souris. Rétablit la couleur du GSCase lors de la sortie.

Specified by:
  `mouseExited` in interface `MouseListener`
Parameters:
  `e` - L'événement MouseEvent associé à la sortie.